Package org.apache.sling.maven.bundlesupport.deploy

# Interface DeployMethod

All Known Implementing Classes:
  `FelixPostDeployMethod`, `SlingPostDeployMethod`, `WebDavPutDeployMethod`

public interface DeployMethod
Deploys/installs and undeploys/uninstalls bundles on a Sling instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`deploy(URI targetURL, File file, String bundleSymbolicName, DeployContext context)`
Deploy/install a bundle on a Sling instance.
`void`
`undeploy(URI targetURL, String bundleName, DeployContext context)`
Undeploy/uninstall a bundle on a Sling instance.

## Method Details

### deploy

void deploy(URI targetURL, File file, String bundleSymbolicName, DeployContext context) throws IOException
Deploy/install a bundle on a Sling instance.

Parameters:
  `targetURL` - Target URL
  `file` - Bundle file
  `bundleSymbolicName` - Bundle symbolic name
  `context` - Deploy context parameters
Throws:
  `IOException` - in case of failure

### undeploy

void undeploy(URI targetURL, String bundleName, DeployContext context) throws IOException
Undeploy/uninstall a bundle on a Sling instance.

Parameters:
  `targetURL` - Target URL
  `bundleName` - Bundle symbolic name or file name (for all methods except for `FelixPostDeployMethod`)
  `context` - Deploy context parameters
Throws:
  `IOException` - in case of failure